GET
Get policy recommendations
Returns policy recommendations for an enterprise.
Authorization: Caller must have read-policy permissions, be an admin, or be a member of the enterprise.
Path Params
-
enterpriseIdstring requiredYour Enterprise Id.
Query Params
-
limitintegerNumber of recommendations to return. Default: 3, Minimum: 1, Maximum: 50.
Responses
200
A list of policy recommendations for the enterprise.
Response Body
object
Response containing policy recommendations for an enterprise.
-
enterpriseIdstring requiredThe enterprise ID. -
recommendationsarray of objects requiredList of policy recommendations.recommendations object
-
recommendationIdstring requiredUnique identifier for this recommendation. -
adoptionPercentagenumber double requiredAdoption rate for this policy pattern. -
confidenceScorenumber double requiredConfidence score for this recommendation (0.0 to 1.0). -
explanationstring requiredHuman-readable explanation of why this policy is recommended. -
descriptionstringAdditional description of the recommendation. -
sourcestring enum requiredThe source of the recommendation.
PEER_POPULAR- Based on popular adoption among enterprises.PARAMETER_DRIFT- Based on differences from common parameter configurations.DEFAULT_TEMPLATE- Based on a default best-practice template.
PEER_POPULARPARAMETER_DRIFTDEFAULT_TEMPLATE -
enterpriseAdoptionCountinteger requiredNumber of enterprises that have adopted this policy pattern. -
totalPeersinteger requiredTotal number of enterprises considered. -
titlestring requiredShort title for the recommendation. -
templateobject requiredThe recommended policy rule template with scope, touchpoint, conditions, and actions.template object
-
namestring requiredName of the template. -
scopeConditionobject requiredThe scope condition for the recommended policy rule.scopeCondition object
-
namestring requiredName of the scope condition. -
labelstring requiredHuman-readable label. -
descriptionstring requiredDescription of the scope condition. -
statusstring enum requiredStatus of the scope condition.ACTIVEINACTIVE -
parametersarray of objectsParameter definitions for the scope condition. -
adminOnlybooleanWhether this scope condition is admin-only. -
bitgoManagedbooleanWhether this scope condition is managed by BitGo.
-
-
touchpointobject requiredThe touchpoint (trigger point) for the recommended policy rule.touchpoint object
-
idstring requiredUnique identifier of the touchpoint. -
namestring requiredName of the touchpoint. -
statusstring enum requiredStatus of the touchpoint.ACTIVEINACTIVE -
labelstring requiredHuman-readable label for the touchpoint. -
descriptionstring requiredDescription of the touchpoint. -
adminOnlyboolean requiredWhether this touchpoint is admin-only.
-
-
touchpointConditionsarray of objects requiredList of conditions for the policy rule.touchpointConditions object
-
conditionobject requiredMetadata for a recommended condition.condition object
-
namestring requiredName of the condition. -
labelstring requiredHuman-readable label. -
descriptionstring requiredDescription of the condition. -
statusstring enum requiredStatus of the condition.ACTIVEINACTIVE -
adminOnlybooleanWhether this condition is admin-only. -
parametersarray of objects requiredParameter definitions for the condition.parameters object
-
namestring requiredName of the parameter. -
labelstring requiredHuman-readable label. -
descriptionstring requiredDescription of the parameter. -
typestring requiredType of the parameter value. -
requiredstring enum requiredWhether the parameter is required.ALWAYSOPTIONALONE_OR_MORE -
allowMultipleboolean requiredWhether multiple values can be provided. -
valuesarray of objectsList of valid values (empty if free-form).
-
-
bitgoManagedboolean requiredWhether this condition is managed by BitGo.
-
-
conditionParametersmapRecommended parameter values for the condition.
-
-
touchpointActionsarray of objects requiredList of actions for the policy rule.touchpointActions object
-
actionobject requiredMetadata for a recommended action.action object
-
namestring requiredName of the action. -
labelstring requiredHuman-readable label. -
descriptionstring requiredDescription of the action. -
statusstring enum requiredStatus of the action.ACTIVEINACTIVE -
adminOnlyboolean requiredWhether this action is admin-only. -
parametersarray of objects requiredParameter definitions for the action.parameters object
- Same shape as
RecommendationParameterDef.
- Same shape as
-
bitgoManagedboolean requiredWhether this action is managed by BitGo.
-
-
actionParametersmapRecommended parameter values for the action.
-
-
scopeConditionParametersmap nullableParameter values for the scope condition. -
touchpointConditionsOperatorstring enum nullableLogical operator for combining multiple conditions or actions within a clause.ANDOR -
touchpointActionsOperatorstring enum nullableLogical operator for combining multiple conditions or actions within a clause.ANDOR
-
-
401
Unauthorized
Response Body
object
-
codestring -
messagestring -
statusinteger
403
Forbidden
Response Body
object
-
codestring -
messagestring -
statusinteger
404
The specified resource was not found
Response Body
object
-
codestring -
messagestring -
statusinteger
500
Server Error - Transient error please try again
Response Body
object
-
codestring -
messagestring -
statusinteger